目录
首页 笔记 详情

移除 WordPress 自动加载的 jQuery,使用自定义 jQuery 版本


WordPress 使用的 jQuery 版本由于需要考虑到很多安全稳定的因素,所以一般不会使用最新版本的 jQuery,

可以通过以下方式移除 WordPress 自定加载的 jQuery,并加载自定义的 jQuery

// Remove default jquery
function custom_jquery_enqueue() {    
    if( !is_admin()){
        wp_deregister_script('jquery');    // 移除默认加载的 jQuery
        wp_register_script('jquery', get_stylesheet_directory_uri() . '/js/jquerys.js', false);   // 加载自定义的 jQuery,这段代码表示加载主题下的 js/jquery.js,并且版本号使用的是 WordPress 当前的版本
        wp_enqueue_script('jquery');
    }
}
add_action( 'wp_enqueue_scripts', 'custom_jquery_enqueue' );

效果:

可以在 head 标签中查找到加载了下面的 jQuery

<script type="text/javascript" src="http://domain.com/wp-content/themes/theme-name/js/jquerys.js?ver=5.2.4"></script>

 

扩展:

上面的代码是将 WordPress 的版本做为 jQuery 的版本,如果 jQuery 突然需要更新,而此时你的 WordPress 版本又没有同步更新的话,浏览器就会使用缓存中的 Jquery 版本,

所以需要通过以下代码使用自定义 jQuery 版本号

wp_register_script('jquery', get_stylesheet_directory_uri() . '/js/jquery.js', '', '3.4.1', false);
wp_enqueue_script('jquery');

写笔记

咨询

您的电子邮箱地址不会被公开。 必填项已用*标注